> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Ucc Field Mapping



## OpenAPI

````yaml put /v1/ucc/field_mapping
openapi: 3.1.0
info:
  title: LeadX API
  version: 0.1.0
servers: []
security: []
tags:
  - name: All Attributes
    description: Aggregate and correlate data about companies and their associated records.
  - name: Better Business Bureau
    description: >-
      Retrieve Better Business Bureau (BBB) ratings and accreditation status for
      businesses.
  - name: Companies
    description: Enrich company data by URL, name, address, or phone.
  - name: Contacts
    description: Enrich data about contacts.
  - name: email
    description: Validate company email addresses.
  - name: Google Reviews
    description: Retrieve Google Reviews and ratings for businesses.
  - name: Mobile Number
    description: Enrich mobile phone numbers.
  - name: UCC
    description: Search across to the U.S. Uniform Commercial Code (UCC) lien filings.
paths:
  /v1/ucc/field_mapping:
    put:
      tags:
        - UCC
      summary: Save Ucc Field Mapping
      operationId: save_ucc_field_mapping_v1_ucc_field_mapping_put
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/UCCFieldMappingSaveRequest'
                - items:
                    $ref: '#/components/schemas/UCCFieldMappingItem'
                  type: array
              title: Body
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UCCFieldMappingResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    UCCFieldMappingSaveRequest:
      properties:
        list:
          anyOf:
            - items:
                $ref: '#/components/schemas/UCCFieldMappingItem'
              type: array
            - type: 'null'
          title: List
        mappings:
          anyOf:
            - items:
                $ref: '#/components/schemas/UCCFieldMappingItem'
              type: array
            - type: 'null'
          title: Mappings
        field_mappings:
          anyOf:
            - items:
                $ref: '#/components/schemas/UCCFieldMappingItem'
              type: array
            - type: 'null'
          title: Field Mappings
      type: object
      title: UCCFieldMappingSaveRequest
    UCCFieldMappingItem:
      properties:
        ucc_fields_api:
          type: string
          title: Ucc Fields Api
        ucc_fields_label:
          type: string
          title: Ucc Fields Label
        default_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Label
        include_in_export:
          type: boolean
          title: Include In Export
          default: true
        sort_order:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sort Order
      type: object
      required:
        - ucc_fields_api
        - ucc_fields_label
      title: UCCFieldMappingItem
    UCCFieldMappingResponse:
      properties:
        success:
          type: boolean
          title: Success
        list:
          items:
            $ref: '#/components/schemas/UCCFieldMappingItem'
          type: array
          title: List
        length:
          type: integer
          title: Length
      type: object
      required:
        - success
        - list
        - length
      title: UCCFieldMappingResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````